<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/transparent"
    android:focusable="true"
    android:focusableInTouchMode="true">

    <View
        android:id="@+id/maskView"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/black_alpha_40" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/forumContainer"
        android:layout_width="match_parent"
        android:layout_height="488dp"
        android:layout_gravity="bottom"
        android:background="@drawable/game_detail_more_dialog_background"
        android:clickable="true"
        android:focusable="true">


        <TextView
            android:id="@+id/titleTv"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="16dp"
            android:gravity="center"
            android:includeFontPadding="false"
            android:text="选择论坛"
            android:textColor="@color/text_title"
            android:textSize="16sp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <ImageView
            android:id="@+id/closeIv"
            android:layout_width="24dp"
            android:layout_height="24dp"
            android:layout_marginRight="16dp"
            android:src="@drawable/ic_choose_forum_close"
            app:layout_constraintBottom_toBottomOf="@+id/titleTv"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="@+id/titleTv" />


        <com.gh.gamecenter.common.view.ClearEditTextNormal
            android:id="@+id/searchEt"
            android:layout_width="match_parent"
            android:layout_height="32dp"
            android:layout_marginLeft="16dp"
            android:layout_marginTop="20dp"
            android:layout_marginRight="16dp"
            android:background="@drawable/bg_shape_f5_radius_4"
            android:drawableLeft="@drawable/ic_toolbar_qa_search"
            android:drawablePadding="4dp"
            android:gravity="center_vertical"
            android:hint="搜索想要的论坛"
            android:paddingLeft="14dp"
            android:paddingRight="12dp"
            android:textColor="@color/text_title"
            android:textColorHint="@color/text_body"
            android:textCursorDrawable="@drawable/cursor_color"
            android:textSize="14dp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/closeIv" />

        <RelativeLayout
            android:id="@+id/tab_container"
            android:layout_width="match_parent"
            android:layout_height="@dimen/tab_layout_height"
            android:background="@color/background_white"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/searchEt">

            <com.gh.gamecenter.common.view.TabIndicatorView
                android:id="@+id/tab_indicator"
                android:layout_width="match_parent"
                android:layout_height="@dimen/default_tab_indicator_height"
                android:layout_alignParentBottom="true"
                app:indicatorColor="@color/theme_font" />

            <com.google.android.material.tabs.TabLayout
                android:id="@+id/tab_layout"
                android:layout_width="match_parent"
                android:layout_height="@dimen/tab_layout_height"
                app:tabIndicator="@null"
                app:tabTextAppearance="@style/TabLayoutNormalTextAppearance" />
        </RelativeLayout>

        <View
            android:id="@+id/line"
            android:layout_width="match_parent"
            android:layout_height="0.5dp"
            android:background="@color/divider"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/tab_container" />

        <androidx.viewpager.widget.ViewPager
            android:id="@+id/viewPager"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/line" />

        <FrameLayout
            android:id="@+id/searchResultContainer"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_marginTop="12dp"
            android:visibility="gone"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/searchEt" />

    </androidx.constraintlayout.widget.ConstraintLayout>
</FrameLayout>